Subject: Ticket Assigned - Not delivered
From: Splash <[email-masked]>
To: [email-masked]
Date: Thu, 17 Mar 2022 04:39:18 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Not delivered  Contacted
Hi
I ordered yesterday in splash sharjah.

But till I had not received the ordered item. 

But instead I got SMS:

“Your order 9561330933 has been delivered. We'd love to hear about your shopping experience. Let us know at: https://splashgcc.app.link/lEtw7YFTrob”

I called immediately Splash Customercare. 

Kindly provide me solution. It’s worst experience.

Thank you.

Sent from my iPhone
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4036845